Bug 2038911 - ERROR: at least one Erratum record has migrated_pulp3_href NULL value
Summary: ERROR: at least one Erratum record has migrated_pulp3_href NULL value
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.9.8
Hardware: All
OS: All
unspecified
high
Target Milestone: 6.9.8
Assignee: Justin Sherrill
QA Contact: sganar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-10 14:23 UTC by James Jeffers
Modified: 2022-02-07 13:48 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.18.1.50-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2038241
Environment:
Last Closed: 2022-01-27 17:33:11 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 34235 0 Normal Ready For Testing reindex repos after recreating them as part of correct_repositories 2022-01-10 14:23:38 UTC
Red Hat Bugzilla 1939090 1 None None None 2022-01-10 14:23:38 UTC
Red Hat Product Errata RHBA-2022:0320 0 None None None 2022-01-27 17:33:13 UTC

Comment 2 Bryan Kearney 2022-01-12 20:05:30 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/34235 has been resolved.

Comment 5 sganar 2022-01-24 13:00:41 UTC
Verified.

Tested on Satellite 6.9.8 Snap 2.0

Steps followed: 
1. Sync a few RH repos with errata
2. Create a cv and add repos from #1
3. satellite-maintain prep-6.10-upgrade
4. satellite-maintain content prepare
5. satellite-maintain upgrade run --target-version 6.10

Observation: 

All rpms, errata are migrated successfully and the Upgrade is successful

Comment 10 errata-xmlrpc 2022-01-27 17:33:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Satellite 6.9.8 Async Bug Fix Update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:0320


Note You need to log in before you can comment on or make changes to this bug.